Bug 651790 - rhn-channel should report error when adding/removing wrong channel
rhn-channel should report error when adding/removing wrong channel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Michael Mráka
Martin Minar
:
Depends On: 670216 651789 670214
Blocks: rhel56-sm-testing 715145
  Show dependency treegraph
 
Reported: 2010-11-10 04:59 EST by Petr Sklenar
Modified: 2016-07-03 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: rhn-client-tools-0.4.20-51.el5
Doc Type: Bug Fix
Doc Text:
When removing or adding a wrong channel, the rhn-channel utility incorrectly reported successfully completed operation. This has been fixed: rhn-channel now informs, that the wrong channel cannot be added or removed.
Story Points: ---
Clone Of: 651789
: 715145 (view as bug list)
Environment:
Last Closed: 2011-07-21 03:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Michael Mráka 2011-03-15 10:45:38 EDT
backported to RHEL5.7 (svn.rhndev) as
r201760 | mmraka | 2011-03-15 15:43:19 +0100 (Tue, 15 Mar 2011) | 6 lines
Changed paths:
   M /trunk/eng/client/rhel/rhn-client-tools/src/bin/spacewalk-channel.py
   M /trunk/eng/client/rhel/rhn-client-tools/src/up2date_client/rhnChannel.py

651789 - fail if adding/removal of channels fail
    
print message to stderr in verbose mode
return non zero exit code
cherrypicked from ca2b95ea966d7a1f8efb56fd2569effed9e778d0
Comment 3 Miroslav Suchý 2011-04-06 03:51:42 EDT
Small typo during cherrypicking. See https://bugzilla.redhat.com/show_bug.cgi?id=651858#c3

Fixed in rev. 202372.
Comment 5 Miroslav Suchý 2011-04-07 04:24:21 EDT
Another indentation problem found.
rev. 202413.
Comment 7 Miroslav Suchý 2011-05-18 05:26:15 EDT
Martine, this happend only against hosted. And there is nothing I can do about it, I get from hosted successful return code. It is reported as bug 670216.

Against Satellite it should work.
Comment 9 Eliska Slobodova 2011-06-29 07:57:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When removing or adding a wrong channel, the rhn-channel utility incorrectly reported successfully completed operation. This has been fixed: rhn-channel now informs, that the wrong channel cannot be added or removed.
Comment 10 errata-xmlrpc 2011-07-21 03:08:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0997.html

Note You need to log in before you can comment on or make changes to this bug.